CREATE TABLE `nb_banlist` (
  `id` int(11) NOT NULL auto_increment,
  `ip` varchar(15) NOT NULL default '',
  `reason` text NOT NULL,
  `bname` varchar(15) NOT NULL default '',
  `bemail` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

CREATE TABLE `nb_faq` (
  `id` int(11) NOT NULL auto_increment,
  `question` text NOT NULL,
  `answer` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=15 ;

INSERT INTO `nb_faq` VALUES (1, 'Why can''t I log in?', 'Have you registered? You must be a registered user in order to log in. The only real advice here is to double-check your username and password. If you are sure they are correct then the only thing to do is to check with the forum administrator - they may have a problem with the configuration settings for the board.');
INSERT INTO `nb_faq` VALUES (2, 'Why should I register?', 'Registration will give you the permissions needed to post new topics, reply to existing topics as well as access to private messages. Not to mention the possibility of administrators adding you to groups to give you privileged access to restricted parts of the forum and more!');
INSERT INTO `nb_faq` VALUES (3, 'How do I change my settings?', 'Some of your settings are created by you when you register and are stored in a database. To amend them after registration, just ensure you are logged in and then click the My Home link at the top of the page. Take note however that if you decide to change your password, you will have to log back into the forum.');
INSERT INTO `nb_faq` VALUES (4, 'How do I post a topic in a catagory?', 'Click on the category in which you wish to post in. Then click on the New Topic link at the top of the page. If you wish to reply to a message then click the Reply icon on any thread. Keep in mind that you must be registered and logged in to post.\r\n');
INSERT INTO `nb_faq` VALUES (5, 'How do I edit a post?', 'You as the original poster are granted the permission of being able to edit your own posts only. To do so, click on the Edit icon that appears with your message.');
INSERT INTO `nb_faq` VALUES (6, 'How do I add a signature to my post?', 'To add a signature you must first create one. This can be done in the My Home screen. The signature is then added to all your posts by default.\r\n\r\nNote however that you must refrain from excessive use of CAPS and huge images. Images should be no larger that 500x32 pixels!');
INSERT INTO `nb_faq` VALUES (7, 'Why can''t I access a catagory/topic?', 'Some catagories and or topics may be restricted to certain groups or may be closed (locked) by the administration or moderators. To view, read, post, etc. you may need to be added to a group with special permissions by the forum administrator.');
INSERT INTO `nb_faq` VALUES (8, 'What is a locked thread/forum?', 'An administrator or moderator can lock threads/catagories to stop posts being entered into them. They would usually do this because they want that discussion to cease. Please respect that and move along to a different topic or catagory.');
INSERT INTO `nb_faq` VALUES (9, 'Can I use HTML?', 'No! This forum makes use of special code called BBCode! Basically this replaces the html syntax into a form that is much less dangerous but still produces the same output as regular html.');
INSERT INTO `nb_faq` VALUES (10, 'Can I post images?', 'Yes. Although there is no facility to post them on the forum''s webspace. This means that you have to upload the image to your own webspace and link to it using the BBCode [img] tag. Keep in mind that size does matter. If your image is found to distort the forum in any way, your post will be edited.');
INSERT INTO `nb_faq` VALUES (11, 'What is an administrator?', 'An administrator has control of the entire forum and as such has full control over moderation of forums, banning of users, etc.\r\n');
INSERT INTO `nb_faq` VALUES (12, 'What is a Moderator?', 'Moderators have the ability to ban users and to control posts within the forums. They take care of the day-to-day running of a forum and are generally there to keep discussions on-topic and non-abusive.\r\n');
INSERT INTO `nb_faq` VALUES (13, 'How do I become a moderator or administrator?', 'You will need to contact the forum administrator and ask to be added as moderator. Of course, it is the administrators decision whether or not he/she decides to grant you the necessary priveleges.');
INSERT INTO `nb_faq` VALUES (14, 'Can I ask a question?', 'Yes. You already did. :)');

CREATE TABLE `nb_forum` (
  `fid` int(10) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `description` text,
  `dorder` smallint(6) NOT NULL default '0',
  `posts` int(20) NOT NULL default '0',
  `lastpost` int(20) NOT NULL default '0',
  `perms` varchar(10) NOT NULL default '',
  PRIMARY KEY  (`fid`),
  KEY `fid` (`fid`)
) TYPE=MyISAM;

CREATE TABLE `nb_member` (
  `uid` int(10) NOT NULL auto_increment,
  `username` varchar(30) NOT NULL default '',
  `password` varchar(20) NOT NULL default '',
  `ip` varchar(30) NOT NULL default '',
  `status` varchar(20) NOT NULL default '',
  `email` varchar(40) default NULL,
  `website` varchar(40) default NULL,
  `aim` varchar(40) default NULL,
  `msn` varchar(40) default NULL,
  `location` varchar(40) default NULL,
  `sig` text,
  `regdate` int(20) NOT NULL default '0',
  `posts` int(10) NOT NULL default '0',
  `yahoo` varchar(30) NOT NULL default '',
  `private` char(3) NOT NULL default '',
  `avatar` varchar(20) NOT NULL default '',
  `bio` text,
  `gender` varchar(20) NOT NULL default '',
  `tag` text,
  `birthday` varchar(40) default NULL,
  `country` varchar(40) default NULL,
  `confirm` varchar(15) NOT NULL default '',
  PRIMARY KEY  (`uid`)
) TYPE=MyISAM;

CREATE TABLE `nb_newest` (
  `name` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`name`)
) TYPE=MyISAM;

CREATE TABLE `nb_online` (
  `ip` varchar(30) NOT NULL default '',
  `time` int(20) NOT NULL default '0'
) TYPE=MyISAM;

CREATE TABLE `nb_post` (
  `pid` int(10) NOT NULL auto_increment,
  `tid` smallint(6) NOT NULL default '0',
  `subject` varchar(50) NOT NULL default '',
  `message` text NOT NULL,
  `author` varchar(30) NOT NULL default '',
  `dateline` int(20) NOT NULL default '0',
  PRIMARY KEY  (`pid`),
  KEY `tid` (`tid`)
) TYPE=MyISAM;

CREATE TABLE `nb_privmsg` (
  `id` int(5) NOT NULL auto_increment,
  `receiver` varchar(250) NOT NULL default '',
  `message` text NOT NULL,
  `sender` varchar(250) NOT NULL default '',
  `topic` varchar(150) NOT NULL default '',
  `time` int(14) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

CREATE TABLE `nb_settings` (
  `url` varchar(100) NOT NULL default '',
  `aemail` varchar(30) NOT NULL default '',
  `title` varchar(30) NOT NULL default '',
  `maxtop` varchar(10) NOT NULL default '',
  `maxrep` varchar(10) NOT NULL default '',
  `template` varchar(30) NOT NULL default '',
  `nemail` varchar(30) NOT NULL default '',
  `privmsg` tinyint(3) NOT NULL default '0',
  `maintain` tinyint(3) NOT NULL default '0',
  `notify` tinyint(3) NOT NULL default '0',
  `guest` tinyint(3) NOT NULL default '0',
  `close` tinyint(3) NOT NULL default '0',
  `censor` tinyint(3) NOT NULL default '0',
  `ava_size` varchar(30) NOT NULL default '',
  `ava_width` int(6) NOT NULL default '0',
  `ava_height` int(6) NOT NULL default '0',
  `info` text
) TYPE=MyISAM;

INSERT INTO `nb_settings` VALUES ('http://yourdomain/forum', 'you@yourdomain', 'MyPHP Forum', '15', '5', 'Default', 'Forum News <noreply@yourdomain>', 0, 0, 0, 0, 0, 0, '15', 60, 60, '');

CREATE TABLE `nb_smiley` (
  `sid` int(10) NOT NULL auto_increment,
  `url` varchar(30) NOT NULL default '',
  `code` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`sid`)
) TYPE=MyISAM AUTO_INCREMENT=21 ;

INSERT INTO `nb_smiley` VALUES (1, '01.gif', ':01');
INSERT INTO `nb_smiley` VALUES (2, '02.gif', ':02');
INSERT INTO `nb_smiley` VALUES (3, '03.gif', ':03');
INSERT INTO `nb_smiley` VALUES (4, '04.gif', ':04');
INSERT INTO `nb_smiley` VALUES (5, '05.gif', ':05');
INSERT INTO `nb_smiley` VALUES (6, '06.gif', ':06');
INSERT INTO `nb_smiley` VALUES (7, '07.gif', ':07');
INSERT INTO `nb_smiley` VALUES (8, '08.gif', ':08');
INSERT INTO `nb_smiley` VALUES (9, '09.gif', ':09');
INSERT INTO `nb_smiley` VALUES (10, '10.gif', ':10');
INSERT INTO `nb_smiley` VALUES (11, '11.gif', ':11');
INSERT INTO `nb_smiley` VALUES (12, '12.gif', ':12');
INSERT INTO `nb_smiley` VALUES (13, '13.gif', ':13');
INSERT INTO `nb_smiley` VALUES (14, '14.gif', ':14');
INSERT INTO `nb_smiley` VALUES (15, '15.gif', ':15');
INSERT INTO `nb_smiley` VALUES (16, '16.gif', ':16');
INSERT INTO `nb_smiley` VALUES (17, '17.gif', ':17');
INSERT INTO `nb_smiley` VALUES (18, '18.gif', ':18');
INSERT INTO `nb_smiley` VALUES (19, '19.gif', ':19');
INSERT INTO `nb_smiley` VALUES (20, '20.gif', ':20');

CREATE TABLE `nb_topic` (
  `tid` int(10) NOT NULL auto_increment,
  `fid` smallint(6) NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  `replies` int(20) NOT NULL default '0',
  `views` int(20) NOT NULL default '0',
  `lastpost` int(20) NOT NULL default '0',
  `topped` char(3) NOT NULL default '',
  `author` varchar(20) NOT NULL default '',
  `status` int(5) NOT NULL default '0',
  PRIMARY KEY  (`tid`),
  KEY `tid` (`tid`),
  KEY `fid` (`fid`)
) TYPE=MyISAM;

CREATE TABLE `nb_words` (
  `id` int(11) NOT NULL auto_increment,
  `word` text NOT NULL,
  `replacement` text NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;
